%define debug_package %{nil}

%if 0%{?fedora} || 0%{?centos} >= 7
%global         with_python3 1
%endif

%if 0%{?centos} == 7
%define python3_pkgversion 36
%endif

Name:		libesedb
Version:	20210424
Release:	1%{?dist}
Summary:	Library to access the Extensible Storage Engine (ESE) Database File (EDB) format
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libesedb/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool gcc

%description
libesedb is a library to access the Extensible Storage Engine (ESE) Database File (EDB) format

%package devel
Summary:	Header files and libraries for developing applications for libesedb
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libesedb.

%package tools
Summary:	Several tools for reading Extensible Storage Engine (ESE) Database Files (EDB)
Group:		Applications/System
Requires:	%{name} = %{version}-%{release}    

%description tools
Several tools for reading Extensible Storage Engine (ESE) Database Files (EDB)

%if 0%{?with_python2}
%package python2
Summary:	Python bindings for libesedb
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python2
Obsoletes:	%{name}-python
Provides:	%{name}-python = %{version}
BuildRequires:	python2-devel

%description python2
Python bindings for libesedb
%endif

%if 0%{?with_python3}
%package python%{python3_pkgversion}
Summary:	Python 3 bindings for libesedb
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release} python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}
BuildRequires:	python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-setuptools

%description python%{python3_pkgversion}
Python 3 bindings for libesedb
%endif

%prep
%setup -q

%build
#if [ -f synclibs.sh ]; then sh synclibs.sh; fi
if [ -f autogen.sh  ]; then sh autogen.sh;  fi
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} %{?with_python2: %{?with_python3:--enable-python2}} %{?with_python2: %{!?with_python3:--enable-python}} %{?with_python3:--enable-python3}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/esedbexport
%attr(755,root,root) %{_bindir}/esedbinfo
%{_mandir}/man1/*

%if 0%{?with_python2}
%files python2
%defattr(644,root,root,755)
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so
%endif

%if 0%{?with_python3}
%files python%{python3_pkgversion}
%defattr(644,root,root,755)
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sat Apr 24 2021 Lawrence R. Rogers <lrr@cert.org> 20210424-1
* Release 20210424-1
	Version as of 20210424.

* Sun Dec  6 2020 Lawrence R. Rogers <lrr@cert.org> 20200418-2
* Release 20200418-2
	Removed Python 2 package

* Sat Apr 18 2020 Lawrence R. Rogers <lrr@cert.org> 20200418-1
* Release 20200418-1
	Version as of 20200418.

* Fri Dec 20 2019 Lawrence R. Rogers <lrr@cert.org> 20191220-1
* Release 20191220-1
	Version as of 20191220.

* Mon Nov 11 2019 Lawrence R. Rogers <lrr@cert.org> 20191111-1
* Release 20191111-1
	Version as of 20191111.

* Sat May 18 2019 Lawrence R. Rogers <lrr@cert.org> 20181229-5
* Release 20181229-5
	Version from 20181229-5: Uses python3_pkgversion for the current version of Python 3.

* Tue Apr  9 2019 Lawrence R. Rogers <lrr@cert.org> 20181229-4
* Release 20181229-4
        Rebuilt for Python 3.6 for CentOS/RHEL 7

* Tue Feb 12 2019 Lawrence R. Rogers <lrr@cert.org> 20181229-3
* Release 20181229-3
	Release 3 - Removed conflicts when that arise when python2 and python 3
		    versions are attempted to be installed on a system.

* Mon Jan 28 2019 Lawrence R. Rogers <lrr@cert.org> 20181229-2
* Release 20181229-2
        Version as of 20181229
	-python packages renamed to -python2

* Sat Dec 29 2018 Lawrence R. Rogers <lrr@cert.org> 20181229-1
* Release 20181229-1
	Version as of 20181229.

* Sat Jan 21 2017 Lawrence R. Rogers <lrr@cert.org> 20170121-1
* Release 20170121-1
	Version as of 20170121.

* Tue Sep 20 2016 Lawrence R. Rogers <lrr@cert.org> 20160622-2
* Release 20160622-2
	Added support for Fedora 20-24 and CentOS/RHEL 7.

* Wed Jun 22 2016 Lawrence R. Rogers <lrr@cert.org> 20160622-1
* Release 20160622-1
	20160110
	* worked on Python 3 support

	20160107
	* 2016 update

* Sun Dec 13 2015 Lawrence R. Rogers <lrr@cert.org> 20151213-1
* Release 20151213-1
	20151219
	* changes for deployment

	20151213
	* worked on support for newly discovered unknown page flag
	* removed LIBESEDB_FLAG_READ and LIBESEDB_FLAG_WRITE

	20151205
	* worked on Python bindings

	20150905
	* updated dependencies

	20150822
	* worked on setup.py

	20150704
	* code clean up

* Sat May 30 2015 Lawrence R. Rogers <lrr@cert.org> 20150409-2
* Release 20150409-2
	Libuna GCC-5 patch

* Thu Apr  9 2015 Lawrence R. Rogers <lrr@cert.org> 20150409-1
* Release 20150409-1
	20150409
	* changes for long value look up in dirty databases

	20150405
	* changes for handling tagged data types in version 0x620 revision 0x14 database
	* changes for long value key compare

	20150322
	* worked on Python bindings
	* worked on long value support
	* worked on long value error tolerance
	* worked on NULL value support (JET_coltypNil)

	20150321
	* worked on libfdata btree refactor
	* changes for long value key compare

	20150105
	* 2015 update

	20141224
	* worked on Python 3 support
	* worked on tests

	20141129
	* code clean up

* Mon Nov 10 2014 Lawrence R. Rogers <lrr@cert.org> 20141110-1
* Release 20141110-1
	20141110
	* code clean up

	20141109
	* worked on reading backup catalog
	* additional checks for out of bound page tags value offset and size values
	* worked on libfdata btree refactor

	20141026
	* changes for deployment

	20141019
	* changes for deployment

	20141014
	* worked on utility scripts

	20141004
	* update Python-bindings tests
	* additional checks for out of bound page tags value offset and size values

	20141003
	* removed README.macosx
	* changes for project site move

	20140915
	* worked on libfdata btree refactor

* Sun Aug 03 2014 Lawrence R. Rogers <lrr@cert.org> 20140803-1
* Release 20140803-1
	Version 20140803
		* updated dependencies

* Sun Apr  6 2014 Joachim Metz <joachim.metz@gmail.com> 20140406-1
- Auto-generated

